GDB (xrefs)

Public Attributes | List of all members
pretty_printer_worker_smob Struct Reference

## Public Attributes
gdb_smob | base
SCM | display_hint
SCM | to_string
SCM | children

## Detailed Description

Definition at line 84 of file scm-pretty-print.c.

## Member Data Documentation

## ◆ base

gdb_smob pretty_printer_worker_smob::base

Definition at line 87 of file scm-pretty-print.c.

## ◆ children

SCM pretty_printer_worker_smob::children

Definition at line 101 of file scm-pretty-print.c.

Referenced by gdbscm_make_pretty_printer_worker(), ppscm_print_children(), and ppscm_print_pretty_printer_worker_smob().

## ◆ display_hint

SCM pretty_printer_worker_smob::display_hint

Definition at line 91 of file scm-pretty-print.c.

Referenced by gdbscm_make_pretty_printer_worker(), ppscm_get_display_hint_scm(), and ppscm_print_pretty_printer_worker_smob().

## ◆ to_string

SCM pretty_printer_worker_smob::to_string

Definition at line 95 of file scm-pretty-print.c.

Referenced by gdbscm_make_pretty_printer_worker(), ppscm_pretty_print_one_value(), and ppscm_print_pretty_printer_worker_smob().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-pretty-print.c